//----------------------------------------------------------------------
//-----                   CONCRETE TEXTURES                        -----
//----------------------------------------------------------------------
textures/orion/cretebase
{
    qer_editorimage textures/orion/cretebase.tga
    surfaceparm nodamage
		{
        map $lightmap
    }
    {
        map textures/orion/cretebase.tga
        blendFunc filter
    }
}

textures/orion/cretebase_icy
{
    qer_editorimage textures/orion/cretebase_icy.tga
    surfaceparm nodamage
	surfaceparm slick
		{
        map $lightmap
    }
    {
        map textures/orion/cretebase_icy.tga
        blendFunc filter
    }
}

textures/orion/cretebase2
{
    qer_editorimage textures/orion/cretebase2.tga
    surfaceparm nodamage
	{
        map $lightmap
    }
    {
        map textures/orion/cretebase2.tga
        blendFunc filter
    }
}

textures/orion/cretebase3_blue
{
    qer_editorimage textures/orion/cretebase3_blue.tga
    surfaceparm nodamage
	{
        map $lightmap
    }
    {
        map textures/orion/cretebase3_blue.tga
        blendFunc filter
    }
}

textures/orion/cretebase3_blue_icy
{
    qer_editorimage textures/orion/cretebase3_blue_icy.tga
    surfaceparm nodamage
	surfaceparm slick
	{
        map $lightmap
    }
    {
        map textures/orion/cretebase3_blue_icy.tga
        blendFunc filter
    }
}

textures/orion/cretebase3_black
{
    qer_editorimage textures/orion/cretebase3_black_icy.tga
    surfaceparm nodamage
	{
        map $lightmap
    }
    {
        map textures/orion/cretebase3_black.tga
        blendFunc filter
    }
}

textures/orion/cretebase3_black_icy
{
    qer_editorimage textures/orion/cretebase3_black_icy.tga
    surfaceparm nodamage
	{
        map $lightmap
    }
    {
        map textures/orion/cretebase3_black_icy.tga
        blendFunc filter
    }
}

textures/orion/cretebase4
{
    qer_editorimage textures/orion/cretebase4.tga
    surfaceparm nodamage
	{
        map $lightmap
    }
    {
        map textures/orion/cretebase4.tga
        blendFunc filter
    }
}

textures/orion/cretebasewhite
{
    qer_editorimage textures/orion/cretebasewhite.tga
    surfaceparm nodamage
	{
        map $lightmap
    }
    {
        map textures/orion/cretebasewhite.tga
        blendFunc filter
    }
}

//----------------------------------------------------------------------
//-----                          SKYBOX                            -----
//----------------------------------------------------------------------
textures/beejumps_sky/my_skybox
{
   	qer_editorimage textures/beejumps_sky/my_skybox.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 100
	surfaceparm sky
	q3map_sun 0.941 0.984 1.00 20 0 30
	skyparms env/skytest/beejumps_sky - -
}

//----------------------------------------------------------------------
//-----                          GLASSY                            -----
//----------------------------------------------------------------------
//Rambetter's shader
textures/douzetraining/glass
{
    qer_editorImage textures/douzetraining/glass.tga
    qer_trans 0.5
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm trans
    cull disable
    {
        map textures/douzetraining/glass.tga
        blendFunc add
        tcGen environment
    }
}

textures/douzetraining/icy
{
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/douzetraining/icy.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/douzetraining/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

//----------------------------------------------------------------------
//-----                       OTHER TEXTURES                       -----
//----------------------------------------------------------------------
//WHITE - NO DAMAGE
textures/bee_textures/w_nod
{
    surfaceparm nodamage
	{
        map $lightmap
    }
    {
        map textures/bee_textures/w_nod.jpg
        blendFunc filter
    }
}

//BLACK - NO DAMAGE
textures/orion/black
{
    surfaceparm nodamage
	{
        map $lightmap
    }
    {
        map textures/orion/black.tga
        blendFunc filter
    }
}

textures/douzetraining/light
{
	qer_editorimage textures/douzetraining/light.jpg
	qer_trans 0.7
	q3map_surfacelight 9500
	surfaceparm nonsolid
	{
		map textures/douzetraining/light.jpg
	}
}